%define git	0
%define rel	1

%if %git
%define release		%mkrel 0.%git.%rel
%define distname	%name-%git.tar.lzma
%define dirname		%name
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.bz2
%define dirname		%name-%version
%endif

Summary:	Web browser based on WebKitGtk
Name:		midori
Version:	0.1.4
Release:	%{release}
# For git: git clone http://software.twotoasts.de/media/midori.git
Source0:	http://goodies.xfce.org/releases/midori/%{distname}
License:	LGPLv2+
Group:		Networking/WWW
URL:		http://www.twotoasts.de/index.php?/pages/midori_summary.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	webkitgtk-devel
BuildRequires:	libsexy-devel
BuildRequires:	icu-devel
BuildRequires:	jpeg-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libgtksourceview-2.0-devel
BuildRequires:	libxslt-devel
BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:	librsvg
BuildRequires:	unique-devel
BuildRequires:	libsoup-devel
BuildRequires:	python-docutils
Provides:	webclient

%description
Midori is a lightweight GTK+ 2 web browser based on WebKitGtk. It 
features tabs, windows and session management, bookmarks stored with 
XBEL, searchbox based on OpenSearch, and user scripts support.

%prep
%setup -q -n %{dirname}
# Fix files date in the future...
find -exec touch {} \;

%build
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}" ./waf configure --prefix=%{_prefix} --datadir=%{_datadir} --libdir=%{_libdir}
./waf build %{_smp_mflags}

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/%{name}/*.png
%{_sysconfdir}/xdg/midori/search



%changelog
* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 354357
- Update to new version 0.1.4

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.1.3

* Sun Feb 15 2009 Adam Williamson <awilliamson@mandriva.org> 0.1.3-0.20090214.1mdv2009.1
+ Revision: 340453
- br libsoup-devel (this is recommended upstream)
- bump to current git

* Wed Jan 14 2009 Adam Williamson <awilliamson@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 329328
- drop string literal patch (should be fixed upstream now)
- new release 0.1.2 final

* Sat Dec 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.2-0.20081219.1mdv2009.1
+ Revision: 316381
- rebuild with latest webkit
- pass our LDFLAGS as well as CFLAGS
- add format.patch (fixes a format-security build issue)
- bump to latest git

* Wed Dec 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 309835
- update to new version 0.1.1

* Wed Nov 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.1-0.20081125.2mdv2009.1
+ Revision: 306819
- specify libdir for waf
- update file list
- update license to LGPLv2+
- update to current git

* Sun Oct 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 295317
- fix file list
- update to new version 0.1.0

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.22-0.20080906.1mdv2009.0
+ Revision: 281890
- build against libunique, for single instance support
- ok, figured out how to set optimizations now
- try and set our optflags. don't think it's working, though. bloody 'improved'
  buildsystems...
- buildrequires librsvg (noticed the configure script checks for it)
- bump to current git and rebuild against latest webkit (fixes some crashes)

* Mon Sep 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-2mdv2009.0
+ Revision: 278573
- update to new version 0.0.21

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 0.0.20-2mdv2009.0
+ Revision: 275720
- BR gtksourceview
- update url and source

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 0.0.20-1mdv2009.0
+ Revision: 275655
- BR python-devel
- use waf to build
- 0.0.20 final

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.20-0.20080813.2mdv2009.0
+ Revision: 271959
- new snapshot 20080813 (bump version as 0.0.19 was released)

* Sat Jul 19 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.19-0.20080719.1mdv2009.0
+ Revision: 238812
- new snapshot 20080719

* Wed Jun 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.19-0.20080617.1mdv2009.0
+ Revision: 226054
- new git snapshot 20080617

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 05 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-2mdv2009.0
+ Revision: 201669
- update buildrequires for change in webkit libname (lower case now)

* Mon May 05 2008 Funda Wang <fundawang@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 201368
- 0.0.18 final

* Wed Apr 23 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-0.20080423.1mdv2009.0
+ Revision: 197035
- buildrequires intltool
- new snapshot
- drop the middle click patch, as middle clicking now works properly
- new snapshot 20080415

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-0.20080320.1mdv2008.1
+ Revision: 189106
- rediff middleclick.patch
- bump to current git to build against new webkit
- add middleclick.patch: middle click acts as left click to avoid crash caused by bad handling of middle click in webkit (#37717) - patch from Nick Manley

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new webkit
    - add explicit provides on webclient

* Wed Jan 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.17-1mdv2008.1
+ Revision: 160322
- new release 0.0.17

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 0.0.16-1mdv2008.1
+ Revision: 146047
- BR jpeg
- BR icu

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 0.0.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.13-1mdv2008.1
+ Revision: 119609
- new release 0.0.13

* Fri Nov 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.12-1mdv2008.1
+ Revision: 114202
- new release 0.0.12 (finally I get to update my own package for a change ;>)

  + Pascal Terjan <pterjan@mandriva.org>
    - s/Gdk/Gtk/ in summary and description

* Fri Nov 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.11-1mdv2008.1
+ Revision: 111364
- update to new version 0.0.11

* Wed Nov 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.10-2mdv2008.1
+ Revision: 111026
- rebuild for new libicu

* Sat Oct 13 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 97937
- 0.0.10
- Drop P0, fixed upstream

* Mon Oct 08 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.8-1mdv2008.0
+ Revision: 95732
- 0.0.8
- WebKitGdk is dead it is now WebKitGtk
- Add P0 to switch to update to the new api
- Use the .desktop which is now provided

* Mon Sep 03 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 78483
- use Fedora license policy
- minor spec clean
- new release 0.0.6

* Sat Sep 01 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 77440
- 0.0.5
- switch to WebKit
- use autoconf2.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Jul 17 2007 Michael Scherer <misc@mandriva.org> 0.0.3-1mdv2008.0
+ Revision: 52780
- version 0.0.3

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.2-1mdv2008.0
+ Revision: 41681
- new release 0.0.2; drop X-Mandriva menu category; drop patch (no longer needed)

* Tue May 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.1-1mdv2008.0
+ Revision: 29831
- Import midori

